import terser from '@rollup/plugin-terser';

function cli(name) {
  return {
    input: `lib/bin/${name}.js`,
    output: [{file: `dist/bin/${name}.js`, format: 'commonjs'}],
    external: [
      '@preserves/core',
      '@preserves/schema',
    ],
  };
}

export default [
  cli('preserves-schema-ts'),
  cli('preserves-schemac'),
];
